
package com.tmerclub.cloud.supplier.feign;

import com.tmerclub.cloud.api.supplier.feign.SupplierWithdrawCashFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.supplier.service.SupplierWithdrawCashService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author track
 */
@DubboService
public class SupplierWithdrawCashFeignController implements SupplierWithdrawCashFeignClient {

    @Autowired
    private SupplierWithdrawCashService supplierWithdrawCashService;

    @Override
    public ServerResponseEntity<Void> withdrawBack(String bizOrderNo, String payStatus, String bizUserId, String payFailMessage) {
        supplierWithdrawCashService.withdrawBack(bizOrderNo, payStatus, bizUserId, payFailMessage);
        return ServerResponseEntity.success();
    }
}
