
package com.tmerclub.cloud.im.feign;

import com.tmerclub.cloud.api.im.feign.ImFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.im.service.ImMsgBizUserService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author zp
 * @Date 2023/7/12 10:28
 */
@DubboService
public class ImMsgBizUserFeignController implements ImFeignClient {

    @Autowired
    private ImMsgBizUserService imMsgBizUserService;

    @Override
    public ServerResponseEntity<Integer> getImUserUnreadNum(Long userId) {
        return ServerResponseEntity.success(imMsgBizUserService.getImUserUnreadNum(userId));
    }
}
