
package com.tmerclub.cloud.product.feign;

import com.tmerclub.cloud.api.product.feign.SpuBrowseLogFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.product.service.SpuBrowseLogService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/8
 */
@DubboService
public class SpuBrowseLogLogFeignController implements SpuBrowseLogFeignClient {

    @Autowired
    private SpuBrowseLogService spuBrowseLogService;

    @Override
    public ServerResponseEntity<List<Long>> recentBrowse(Long userId, Long shopId) {
        return ServerResponseEntity.success(spuBrowseLogService.recentBrowse(userId, shopId));
    }
}
