
package com.tmerclub.cloud.supplier.mapper;

import com.tmerclub.cloud.supplier.model.SupplierExtension;
import com.tmerclub.cloud.supplier.vo.SupplierExtensionVO;
import org.apache.ibatis.annotations.Param;

/**
 * 供应商扩张信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public interface SupplierExtensionMapper {


    /**
     * 保存供应商扩张信息
     * @param supplierExtension 供应商扩张信息
     */
    void save(@Param("supplierExtension") SupplierExtension supplierExtension);

    /**
     * 更新供应商扩张信息
     * @param supplierExtension 供应商扩张信息
     */
    void update(@Param("supplierExtension") SupplierExtensionVO supplierExtension);
}
