
package com.tmerclub.cloud.api.auth.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author 菠萝凤梨
 * @date 2022/1/20 15:11
 */
public interface PasswordFeignClient {

    /**
     * 获取解密后的密码
     * @param password 加密的密码
     * @return 解密之后的密码
     */
    ServerResponseEntity<String> getDecryptPassword(String password);
}
