
package com.tmerclub.cloud.api.distribution.feign;

import com.tmerclub.cloud.api.distribution.vo.DistributionUserIncomeApiVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author lhd
 * @date 2023-03-20 16:07:34
 */
public interface DistributionUserIncomeFeignClient {

    /**
     * 根据orderId获取分销收入信息
     * @param orderId 订单id
     * @return
     */
    ServerResponseEntity<List<DistributionUserIncomeApiVO>> listDistributionUserIncomeByOrderId(Long orderId);
}
