package com.tmerclub.cloud.api.delivery.feign;

import com.tmerclub.cloud.api.delivery.vo.SameCityVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author lanhai
 */
public interface SameCityFeignClient {

    /**
     * 清除同城配送坐标数据
     *
     * @param shopId
     */
    void clearPositionInfo(Long shopId);


    /**
     * 根据店铺id获取同城配送设置
     *
     * @param shopId
     * @return
     */
    ServerResponseEntity<SameCityVO> getSameCityByShopId(Long shopId);
}
