
package com.tmerclub.cloud.constant;

/**
 * 分布式id key
 *
 * @author tmerclub
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 直播用户id uid
     */
    String tmerclub_LIVE_ROOM_USER = "tmerclub-live-room-user";

    /**
     * 分销用户id
     */
    String tmerclub_DISTRIBUTION_USER = "tmerclub-distribution-user";

    /**
     * 分销提现流水号
     */
    String tmerclub_DISTRIBUTION_WITHDRAW_ORDER = "tmerclub-distribution-withdraw-order";

    /**
     * 领券记录id
     */
    String tmerclub_COUPON_USER = "tmerclub-coupon-user";
}
